GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
stap_parse_info Struct Reference

`#include "stap-probe.h"`

## Public Member Functions
| stap_parse_info (const char *arg_, struct type *arg_type_, size_t initial_size, const struct language_defn *lang, struct gdbarch *gdbarch)
| DISABLE_COPY_AND_ASSIGN (stap_parse_info)

## Public Attributes
const char * | arg
struct parser_state | pstate
const char * | saved_arg
struct type * | arg_type
struct gdbarch * | gdbarch
int | inside_paren_p

## Detailed Description

Definition at line 29 of file stap-probe.h.

## Constructor & Destructor Documentation

## ◆ stap_parse_info()

stap_parse_info::stap_parse_info | ( | const char * | arg_,
|  | struct type * | arg_type_,
|  | size_t | initial_size,
|  | const struct language_defn * | lang,
|  | struct gdbarch * | gdbarch
| ) |  |
| inline

Definition at line 31 of file stap-probe.h.

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

stap_parse_info::DISABLE_COPY_AND_ASSIGN | ( | stap_parse_info |  | ) |

## Member Data Documentation

## ◆ arg

const char* stap_parse_info::arg

Definition at line 46 of file stap-probe.h.

Referenced by aarch64_stap_parse_special_token(), arm_stap_parse_special_token(), i386_stap_parse_special_token_three_arg_disp(), i386_stap_parse_special_token_triplet(), ppc_stap_parse_special_token(), stap_parse_argument(), stap_parse_argument_1(), stap_parse_argument_conditionally(), stap_parse_register_operand(), and stap_parse_single_operand().

## ◆ arg_type

struct type* stap_parse_info::arg_type

Definition at line 60 of file stap-probe.h.

Referenced by aarch64_stap_parse_special_token(), arm_stap_parse_special_token(), i386_stap_parse_special_token_three_arg_disp(), i386_stap_parse_special_token_triplet(), and stap_parse_register_operand().

## ◆ gdbarch

struct gdbarch* stap_parse_info::gdbarch

Definition at line 63 of file stap-probe.h.

Referenced by stap_parse_argument(), stap_parse_argument_conditionally(), stap_parse_register_operand(), and stap_parse_single_operand().

## ◆ inside_paren_p

int stap_parse_info::inside_paren_p

Definition at line 67 of file stap-probe.h.

Referenced by stap_parse_argument(), stap_parse_argument_1(), stap_parse_argument_conditionally(), and stap_parse_single_operand().

## ◆ pstate

struct parser_state stap_parse_info::pstate

Definition at line 49 of file stap-probe.h.

Referenced by aarch64_stap_parse_special_token(), arm_stap_parse_special_token(), i386_stap_parse_special_token_three_arg_disp(), i386_stap_parse_special_token_triplet(), ppc_stap_parse_special_token(), stap_parse_argument(), stap_parse_argument_1(), stap_parse_register_operand(), and stap_parse_single_operand().

## ◆ saved_arg

const char* stap_parse_info::saved_arg

Definition at line 54 of file stap-probe.h.

Referenced by aarch64_stap_parse_special_token(), arm_stap_parse_special_token(), i386_stap_parse_special_token_three_arg_disp(), i386_stap_parse_special_token_triplet(), ppc_stap_parse_special_token(), stap_parse_argument_1(), stap_parse_argument_conditionally(), stap_parse_register_operand(), and stap_parse_single_operand().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/stap-probe.h